Version 0.8 release notes
=========================

New download behaviour
----------------------

The `download` command now only retrieves changes in metadata and does not retrieve the content of files by default. There are now two ways to download file content:
- `gin download --content` synchronises all changes that were made remotely to the local repository and downloads the content of **all** files.
- `gin get-content <filenames>` does not update the local repository to reflect remote changes, but downloads the content of all files specified.

The `get-content` command is a **new command** introduced in version 0.8.

New upload behaviour
--------------------

The `upload` command does not add any new changes to the repository when no arguments are specified. In order to upload all changes under the current working directory, a period `.` should be specified.
