Version 0.9 release notes
=========================

Check files into git
--------------------
When adding files (via `gin upload`) the client will now check small files (smaller than 10 MiB by default) into git instead of annex. This threshold can be configured in the config file. Additionally, file patterns (globs) can be specified for exclusion from annex. Any files that match a pattern or is below the *small file* threshold, will be checked into git rather than the annex.

This behaviour also works in direct mode.

SSH keys on login
-----------------
Instead of generating temporary SSH keys for each transaction, a single key pair is created when a user logs in and is deleted when they log out.

Annex version check
-------------------
The client will no longer work if it cannot find a git-annex binary, or its version is too old (current minimum version: 6.20160126)
